org.red5.io.utils

## Class IOUtils

- java.lang.Object
- - org.red5.io.utils.IOUtils

    public class IOUtils
    extends Object

Miscellaneous I/O utility methods

See Also:
  Unsigned bytes in Java

### Field Summary

Fields
`static Charset` `CHARSET` UTF-8 is used

### Constructor Summary

Constructors
Constructor and Description
`IOUtils()`

### Method Summary

Methods
`static void` `debug(org.slf4j.Logger log, String msg, org.apache.mina.core.buffer.IoBuffer buf)` Format debug message
`static void` `main(String[] args)`
`static int` `readExtendedMediumInt(ByteBuffer in)` Reads extended medium int
`static int` `readExtendedMediumInt(org.apache.mina.core.buffer.IoBuffer in)` Reads extended medium int
`static int` `readMediumInt(ByteBuffer in)` Reads medium int
`static int` `readMediumInt(org.apache.mina.core.buffer.IoBuffer in)` Reads medium int
`static int` `readReverseInt(org.apache.mina.core.buffer.IoBuffer in)` Reads reverse int
`static int` `readUnsignedMediumInt(org.apache.mina.core.buffer.IoBuffer in)` Reads unsigned medium integer
`static String` `toString(org.apache.mina.core.buffer.IoBuffer buf)` String representation of byte buffer
`static void` `writeExtendedMediumInt(ByteBuffer out, int value)` Writes extended medium integer (equivalent to a regular integer whose most significant byte has been moved to its end, past its least significant byte)
`static void` `writeExtendedMediumInt(org.apache.mina.core.buffer.IoBuffer out, int value)` Writes extended medium integer (equivalent to a regular integer whose most significant byte has been moved to its end, past its least significant byte)
`static void` `writeMediumInt(ByteBuffer out, int value)` Writes medium integer
`static void` `writeMediumInt(org.apache.mina.core.buffer.IoBuffer out, int value)` Writes medium integer
`static void` `writeReverseInt(org.apache.mina.core.buffer.IoBuffer out, int value)` Writes integer in reverse order
`static void` `writeUnsignedByte(ByteBuffer out, byte value)` Writes an unsigned byte value to the supplied buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CHARSET

    public static final Charset CHARSET

UTF-8 is used

### Constructor Detail

#### IOUtils

    public IOUtils()

### Method Detail

#### writeReverseInt

    public static final void writeReverseInt(org.apache.mina.core.buffer.IoBuffer out,
                       int value)

Writes integer in reverse order

Parameters:
  `out` - Data buffer to fill
  `value` - Integer

#### writeMediumInt

    public static final void writeMediumInt(org.apache.mina.core.buffer.IoBuffer out,
                      int value)

Writes medium integer

Parameters:
  `out` - Output buffer
  `value` - Integer to write

#### writeMediumInt

    public static final void writeMediumInt(ByteBuffer out,
                      int value)

Writes medium integer

Parameters:
  `out` - Output buffer
  `value` - Integer to write

#### writeExtendedMediumInt

    public static final void writeExtendedMediumInt(org.apache.mina.core.buffer.IoBuffer out,
                              int value)

Writes extended medium integer (equivalent to a regular integer whose most significant byte has been moved to its end, past its least significant byte)

Parameters:
  `out` - Output buffer
  `value` - Integer to write

#### writeExtendedMediumInt

    public static final void writeExtendedMediumInt(ByteBuffer out,
                              int value)

Writes extended medium integer (equivalent to a regular integer whose most significant byte has been moved to its end, past its least significant byte)

Parameters:
  `out` - Output buffer
  `value` - Integer to write

#### writeUnsignedByte

    public static final void writeUnsignedByte(ByteBuffer out,
                         byte value)

Writes an unsigned byte value to the supplied buffer.

Parameters:
  `out` - Output buffer
  `value` - Byte to write

#### readUnsignedMediumInt

    public static final int readUnsignedMediumInt(org.apache.mina.core.buffer.IoBuffer in)

Reads unsigned medium integer

Parameters:
  `in` - Unsigned medium int source
Returns:
  int value

#### readMediumInt

    public static final int readMediumInt(ByteBuffer in)

Reads medium int

Parameters:
  `in` - Source
Returns:
  int value

#### readMediumInt

    public static final int readMediumInt(org.apache.mina.core.buffer.IoBuffer in)

Reads medium int

Parameters:
  `in` - Source
Returns:
  int value

#### readExtendedMediumInt

    public static final int readExtendedMediumInt(org.apache.mina.core.buffer.IoBuffer in)

Reads extended medium int

Parameters:
  `in` - Source
Returns:
  int value

#### readExtendedMediumInt

    public static final int readExtendedMediumInt(ByteBuffer in)

Reads extended medium int

Parameters:
  `in` - Source
Returns:
  int value

#### readReverseInt

    public static final int readReverseInt(org.apache.mina.core.buffer.IoBuffer in)

Reads reverse int

Parameters:
  `in` - Source
Returns:
  int

#### debug

    public static final void debug(org.slf4j.Logger log,
             String msg,
             org.apache.mina.core.buffer.IoBuffer buf)

Format debug message

Parameters:
  `log` - Logger
  `msg` - Message
  `buf` - Byte buffer to debug

#### toString

    public static final String toString(org.apache.mina.core.buffer.IoBuffer buf)

String representation of byte buffer

Parameters:
  `buf` - Byte buffer
Returns:
  String representation

#### main

    public static void main(String[] args)